#pragma once
#include "Event.h"
using namespace std;

class EndSimulation: public Event
{
public:
EndSimulation(double time):Event(time){}
	void Event::action()
	{
		/*StatisticSingleton *statisticSingleton = StatisticSingleton::instance();
		cout << "Media do Tempo de Servico - " << statisticSingleton->getMediaTimeService() << "\n";*/
		cout << "adeus ... TIME " << getTime() << "\n";
	}

	int Event::getType()
	{
		return -1;
	}
};